# Turn off the brp-python-bytecompile script,
# it somehow (dont remember how:) badly affects python builds
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')


Name: sugar-server-demoxo
Version: 1.0
Release: 24.1
Group: Development/Tools/Other
Summary: Sugar Server Kit demonstration for XO laptops
License: Public Domain
Url: http://wiki.sugarlabs.org/go/Sugar_Server_Kit

Source: sugar-server-demoxo-1.0.tar.gz
Source1: sweet.tar.gz



Requires: httpd
Requires: dnsmasq
Requires: mace
Requires: NetworkManager
Requires: openssh-server
Requires: pafm
Requires: prosody-sugar
Requires: sarg
Requires: squid
Requires: sugar-server
Requires: sugar-server-templates

BuildRequires: python

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Sugar Server Kit demonstration for XO laptops

%prep
%setup -n sugar-server-demoxo-1.0

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build



%install
install -m 0755 -D etc/schoolserver.d %{buildroot}/.dest/%{_sysconfdir}/init.d/schoolserver && install -m 0644 -D etc/ifcfg-schoolserver %{buildroot}/.dest/%{_sysconfdir}/sysconfig/network-scripts/ifcfg-schoolserver && install -m 0755 -d %{buildroot}/.dest/%{_sysconfdir}/mace && cp -r etc/mace/* %{buildroot}/.dest/%{_sysconfdir}/mace/ && install -m 0755 -d %{buildroot}/.dest/%{_datadir}/sugar-server-demoxo && cp -r tools/* %{buildroot}/.dest/%{_datadir}/sugar-server-demoxo/ && install -m 0755 -d %{buildroot}/.dest/%{_datadir}/doc/sugar-server-demoxo && cp AUTHORS COPYING HACKING README %{buildroot}/.dest/%{_datadir}/doc/sugar-server-demoxo/
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /usr '' '' >> sugar-server-demoxo.files
rm -rf %{buildroot}/.dest

%post
chkconfig --add schoolserver; chkconfig schoolserver on chkconfig httpd off chkconfig prosody off chkconfig squid off chkconfig sugar-server off

%preun


%clean
rm -rf %{buildroot}

%files -f sugar-server-demoxo.files

%changelog
